clear 
clc

% DataPath = './1_arm/';
% OBJFile = 'rest.obj';
% nVt = 2135;

% DataPath = './2_disc/';
% OBJFile = 'rest.obj';
% nVt = 2483;

% DataPath = './3_caterpillar/'; 
% OBJFile = 'rest.obj';
% nVt = 3744;

% DataPath = './4_worm/'; 
% OBJFile = 'rest.obj';
% nVt = 10208;

% DataPath = './5_woody/'; 
% OBJFile = 'rest.obj';
% nVt = 11290;

% DataPath = './6_yogurt_swirl/'; 
% OBJFile = 'rest.obj';
% nVt = 13122;

DataPath = './7_starry_night/'; 
OBJFile = 'rest.obj';
nVt = 30502;

loadTTData;



%% run and print
fprintf('start running...\n');
runTTDataYMCVX;

runTTDataYMSOCP;

fprintf('cvx+mosek modeling time = %f\n',sdpCVXtimeM);
fprintf('cvx+mosek solving time = %f\n',sdpCVXtimeS);
fprintf('socp feed to Yalmip time = %f\n',sdpYalTime);
fprintf('socp solving time = %f\n',sdpYMTime);


